%global namedreltag .NOTHING
%global namedversion %{version}%{?namedreltag}

Name:             cdi-api
Version:          1.1
Release:          %mkrel 4
Summary:          CDI API
Group:            Development/Java
License:          ASL 2.0
URL:              http://seamframework.org/Weld
Source0:          https://github.com/cdi-spec/cdi/archive/%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-testng
BuildRequires:    maven-enforcer-plugin
BuildRequires:    testng
BuildRequires:    jboss-el-2.2-api
BuildRequires:    jboss-interceptors-1.1-api
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    geronimo-annotation
BuildRequires:    geronimo-parent-poms
BuildRequires:    weld-parent
BuildRequires:    maven-plugin-build-helper
BuildRequires:    jboss-specs-parent
BuildRequires:    jboss-interceptors-1.1-api
BuildRequires:    sisu-inject
Provides:         javax.enterprise.inject

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n cdi-%{version}

# Generate OSGI info
%pom_xpath_set pom:project/pom:packaging bundle api
%pom_xpath_inject "pom:project" "
    <build>
      <plugins>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <extensions>true</extensions>
          <configuration>
            <instructions>
              <_nouses>true</_nouses>
              <Export-Package>javax.decorator.*;javax.enterprise.context.*;javax.enterprise.event.*;javax.enterprise.inject.*;javax.enterprise.util.*</Export-Package>
            </instructions>
          </configuration>
        </plugin>
      </plugins>
    </build>" api

cd api
# J2EE API directory
%mvn_file :{cdi-api} %{name}/@1 javax.enterprise.inject/@1

%build
cd api
%mvn_build

%install
cd api
%mvn_install

build-jar-repository %{buildroot}%{_javadir}/javax.enterprise.inject/ \
                     jboss-interceptors-1.1-api geronimo-annotation javax.inject

%files -f api/.mfiles
%dir %{_javadir}/%{name}
%{_javadir}/javax.enterprise.inject/

%files javadoc -f api/.mfiles-javadoc



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 535144
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Rebuild against new javapackages
    - Rebuild against new java stack

* Wed Sep 18 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 481223
- Generate OSGI info

* Sat Jan 12 2013 umeabot <umeabot> 1.0-4.SP4.2.mga3
+ Revision: 351548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0-4.SP4.1.mga3
+ Revision: 291465
- imported package cdi-api


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4.SP4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-3.SP4
- Fixed changelog versions.

* Wed Mar 16 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-2.SP4
- Added required dependencies, modified patches and cleaned spec.

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-1.SP4
- Initial packaging

